org.apache.ode.dao.jpa

## Class ScopeDAOImpl

- java.lang.Object
- - org.apache.ode.dao.jpa.OpenJPADAO
  - - org.apache.ode.dao.jpa.ScopeDAOImpl

- All Implemented Interfaces:
    ScopeDAO

      @Entity
      public class ScopeDAOImpl
      extends OpenJPADAO
      implements ScopeDAO

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `DELETE_SCOPES_BY_SCOPE_IDS`
    `static java.lang.String` | `SELECT_SCOPE_IDS_BY_INSTANCE`
    `static java.lang.String` | `SELECT_SCOPE_IDS_BY_PROCESS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ScopeDAOImpl()`
    `ScopeDAOImpl(ScopeDAOImpl parentScope, java.lang.String name, int scopeModelId, ProcessInstanceDAOImpl pi)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PartnerLinkDAO` | `createPartnerLink(int plinkModelId, java.lang.String pLinkName, java.lang.String myRole, java.lang.String partnerRole)` Create a storage space for partner link values for the scope.
    `java.util.Collection<ScopeDAO>` | `getChildScopes()`
    `CorrelationSetDAO` | `getCorrelationSet(java.lang.String corrSetName)` Get a correlation set by name.
    `java.util.Collection<CorrelationSetDAO>` | `getCorrelationSets()` Gets all correlation sets for this scope
    `int` | `getModelId()` Get the scope model id from the object
    `java.lang.String` | `getName()` Get scope name (from the definition / or auto-generated).
    `ScopeDAO` | `getParentScope()` Get the parent scope.
    `PartnerLinkDAO` | `getPartnerLink(int plinkModelId)` Get the parnter link storage object associated with this scope instance and the provided partner link model id.
    `java.util.Collection<PartnerLinkDAO>` | `getPartnerLinks()` Get all partner link storage object associated with this scope instance.
    `ProcessInstanceDAO` | `getProcessInstance()` Get the process instance to which this scope belongs.
    `java.lang.Long` | `getScopeInstanceId()` Get the unique identifier for this scope instance.
    `ScopeStateEnum` | `getState()` Get current state of the scope.
    `XmlDataDAO` | `getVariable(java.lang.String varName)` Get a variable by name.
    `java.util.Collection<XmlDataDAO>` | `getVariables()` Get a colleciton of all the variables belonging to this scope.
    `java.util.List<BpelEvent>` | `listEvents()` Get an ordered list of events associated with this scope.
    `void` | `setState(ScopeStateEnum state)` Set current state of the scope.

    - ### Methods inherited from class org.apache.ode.dao.jpa.OpenJPADAO

      `batchUpdateByIds, getConn, getEM, getSingleResult`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SELECT_SCOPE_IDS_BY_PROCESS

          public static final java.lang.String SELECT_SCOPE_IDS_BY_PROCESS

      See Also:
        Constant Field Values

    - #### SELECT_SCOPE_IDS_BY_INSTANCE

          public static final java.lang.String SELECT_SCOPE_IDS_BY_INSTANCE

      See Also:
        Constant Field Values

    - #### DELETE_SCOPES_BY_SCOPE_IDS

          public static final java.lang.String DELETE_SCOPES_BY_SCOPE_IDS

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ScopeDAOImpl

          public ScopeDAOImpl()

    - #### ScopeDAOImpl

          public ScopeDAOImpl(ScopeDAOImpl parentScope,
                              java.lang.String name,
                              int scopeModelId,
                              ProcessInstanceDAOImpl pi)

  - ### Method Detail

    - #### createPartnerLink

          public PartnerLinkDAO createPartnerLink(int plinkModelId,
                                                  java.lang.String pLinkName,
                                                  java.lang.String myRole,
                                                  java.lang.String partnerRole)

      Description copied from interface: `ScopeDAO`
      Create a storage space for partner link values for the scope.
      Specified by:
        `createPartnerLink` in interface `ScopeDAO`
      Parameters:
        `plinkModelId` - partner link model id
        `pLinkName` - partner link name
      Returns:
        `PartnerLinkDAO` object representing the created endpoint reference

    - #### getChildScopes

          public java.util.Collection<ScopeDAO> getChildScopes()

      Specified by:
        `getChildScopes` in interface `ScopeDAO`

    - #### getCorrelationSet

          public CorrelationSetDAO getCorrelationSet(java.lang.String corrSetName)

      Description copied from interface: `ScopeDAO`
      Get a correlation set by name.
      Specified by:
        `getCorrelationSet` in interface `ScopeDAO`
      Parameters:
        `corrSetName` - correlation set name
      Returns:
        correlation set instance

    - #### getCorrelationSets

          public java.util.Collection<CorrelationSetDAO> getCorrelationSets()

      Description copied from interface: `ScopeDAO`
      Gets all correlation sets for this scope
      Specified by:
        `getCorrelationSets` in interface `ScopeDAO`
      Returns:
        correlation set instances

    - #### getModelId

          public int getModelId()

      Description copied from interface: `ScopeDAO`
      Get the scope model id from the object
      Specified by:
        `getModelId` in interface `ScopeDAO`
      Returns:
        scope model id

    - #### getName

          public java.lang.String getName()

      Description copied from interface: `ScopeDAO`
      Get scope name (from the definition / or auto-generated). NOTE: the scope names are not necessarily unique.
      Specified by:
        `getName` in interface `ScopeDAO`
      Returns:
        scope name

    - #### getParentScope

          public ScopeDAO getParentScope()

      Description copied from interface: `ScopeDAO`
      Get the parent scope.
      Specified by:
        `getParentScope` in interface `ScopeDAO`
      Returns:
        parent scope

    - #### getPartnerLink

          public PartnerLinkDAO getPartnerLink(int plinkModelId)

      Description copied from interface: `ScopeDAO`
      Get the parnter link storage object associated with this scope instance and the provided partner link model id.
      Specified by:
        `getPartnerLink` in interface `ScopeDAO`
      Parameters:
        `plinkModelId` - partner link model id
      Returns:
        `PartnerLinkDAO` object representing the requested endpoint reference

    - #### getPartnerLinks

          public java.util.Collection<PartnerLinkDAO> getPartnerLinks()

      Description copied from interface: `ScopeDAO`
      Get all partner link storage object associated with this scope instance.
      Specified by:
        `getPartnerLinks` in interface `ScopeDAO`
      Returns:
        List of `PartnerLinkDAO` objects

    - #### getProcessInstance

          public ProcessInstanceDAO getProcessInstance()

      Description copied from interface: `ScopeDAO`
      Get the process instance to which this scope belongs.
      Specified by:
        `getProcessInstance` in interface `ScopeDAO`
      Returns:
        owner `ProcessInstanceDAO`

    - #### getScopeInstanceId

          public java.lang.Long getScopeInstanceId()

      Description copied from interface: `ScopeDAO`
      Get the unique identifier for this scope instance.
      Specified by:
        `getScopeInstanceId` in interface `ScopeDAO`
      Returns:
        scope instance id

    - #### getState

          public ScopeStateEnum getState()

      Description copied from interface: `ScopeDAO`
      Get current state of the scope.
      Specified by:
        `getState` in interface `ScopeDAO`
      Returns:
        current scope state

    - #### getVariable

          public XmlDataDAO getVariable(java.lang.String varName)

      Description copied from interface: `ScopeDAO`
      Get a variable by name.
      Specified by:
        `getVariable` in interface `ScopeDAO`
      Parameters:
        `varName` - variable name
      Returns:
        `XmlDataDAO` object representing the requested variable

    - #### getVariables

          public java.util.Collection<XmlDataDAO> getVariables()

      Description copied from interface: `ScopeDAO`
      Get a colleciton of all the variables belonging to this scope.
      Specified by:
        `getVariables` in interface `ScopeDAO`
      Returns:
        collection of variables

    - #### listEvents

          public java.util.List<BpelEvent> listEvents()

      Description copied from interface: `ScopeDAO`
      Get an ordered list of events associated with this scope.
      Specified by:
        `listEvents` in interface `ScopeDAO`
      Returns:
        collection of bpel events.

    - #### setState

          public void setState(ScopeStateEnum state)

      Description copied from interface: `ScopeDAO`
      Set current state of the scope.
      Specified by:
        `setState` in interface `ScopeDAO`
      Parameters:
        `state` - new scope state